<?php

namespace WpifyWoo\PacketeraSDK\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Advise ServiceType
 * @subpackage Services
 */
class Advise extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named adviseBranch
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $apiPassword
     * @param string $email
     * @param string $phone
     * @param string $addressId
     * @return void|bool
     */
    public function adviseBranch($apiPassword, $email, $phone, $addressId)
    {
        try {
            $this->setResult($this->getSoapClient()->__soapCall('adviseBranch', array(
                $apiPassword,
                $email,
                $phone,
                $addressId,
            ), array(), array(), $this->outputHeaders));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return void
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
