<?php

namespace WpifyWoo\PacketeraSDK\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Sender ServiceType
 * @subpackage Services
 */
class Sender extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named senderGetReturnString
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $apiPassword
     * @param string $sender
     * @return string|bool
     */
    public function senderGetReturnString($apiPassword, $sender)
    {
        try {
            $this->setResult($this->getSoapClient()->__soapCall('senderGetReturnString', array(
                $apiPassword,
                $sender,
            ), array(), array(), $this->outputHeaders));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named senderGetReturnRouting
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $apiPassword
     * @param string $sender
     * @return \WpifyWoo\PacketeraSDK\StructType\SenderGetReturnRoutingResult|bool
     */
    public function senderGetReturnRouting($apiPassword, $sender)
    {
        try {
            $this->setResult($this->getSoapClient()->__soapCall('senderGetReturnRouting', array(
                $apiPassword,
                $sender,
            ), array(), array(), $this->outputHeaders));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return string|\WpifyWoo\PacketeraSDK\StructType\SenderGetReturnRoutingResult
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
