<?php

namespace WpifyWoo\PacketeraSDK\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreatePacketResult StructType
 * @subpackage Structs
 */
class CreatePacketResult extends AbstractStructBase
{
    /**
     * The createdPacket
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \WpifyWoo\PacketeraSDK\StructType\PacketIdDetail
     */
    public $createdPacket;
    /**
     * The fault
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $fault;
    /**
     * The packetAttributesFault
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault
     */
    public $packetAttributesFault;
    /**
     * The dispatchOrderUnknownCodeFault
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault
     */
    public $dispatchOrderUnknownCodeFault;
    /**
     * Constructor method for CreatePacketResult
     * @uses CreatePacketResult::setCreatedPacket()
     * @uses CreatePacketResult::setFault()
     * @uses CreatePacketResult::setPacketAttributesFault()
     * @uses CreatePacketResult::setDispatchOrderUnknownCodeFault()
     * @param \WpifyWoo\PacketeraSDK\StructType\PacketIdDetail $createdPacket
     * @param string $fault
     * @param \WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault $packetAttributesFault
     * @param \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault $dispatchOrderUnknownCodeFault
     */
    public function __construct(\WpifyWoo\PacketeraSDK\StructType\PacketIdDetail $createdPacket = null, $fault = null, \WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault $packetAttributesFault = null, \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault $dispatchOrderUnknownCodeFault = null)
    {
        $this
            ->setCreatedPacket($createdPacket)
            ->setFault($fault)
            ->setPacketAttributesFault($packetAttributesFault)
            ->setDispatchOrderUnknownCodeFault($dispatchOrderUnknownCodeFault);
    }
    /**
     * Get createdPacket value
     * @return \WpifyWoo\PacketeraSDK\StructType\PacketIdDetail|null
     */
    public function getCreatedPacket()
    {
        return $this->createdPacket;
    }
    /**
     * Set createdPacket value
     * @param \WpifyWoo\PacketeraSDK\StructType\PacketIdDetail $createdPacket
     * @return \WpifyWoo\PacketeraSDK\StructType\CreatePacketResult
     */
    public function setCreatedPacket(\WpifyWoo\PacketeraSDK\StructType\PacketIdDetail $createdPacket = null)
    {
        $this->createdPacket = $createdPacket;
        return $this;
    }
    /**
     * Get fault value
     * @return string|null
     */
    public function getFault()
    {
        return $this->fault;
    }
    /**
     * Set fault value
     * @param string $fault
     * @return \WpifyWoo\PacketeraSDK\StructType\CreatePacketResult
     */
    public function setFault($fault = null)
    {
        // validation for constraint: string
        if (!is_null($fault) && !is_string($fault)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fault, true), gettype($fault)), __LINE__);
        }
        $this->fault = $fault;
        return $this;
    }
    /**
     * Get packetAttributesFault value
     * @return \WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault|null
     */
    public function getPacketAttributesFault()
    {
        return $this->packetAttributesFault;
    }
    /**
     * Set packetAttributesFault value
     * @param \WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault $packetAttributesFault
     * @return \WpifyWoo\PacketeraSDK\StructType\CreatePacketResult
     */
    public function setPacketAttributesFault(\WpifyWoo\PacketeraSDK\StructType\PacketAttributesFault $packetAttributesFault = null)
    {
        $this->packetAttributesFault = $packetAttributesFault;
        return $this;
    }
    /**
     * Get dispatchOrderUnknownCodeFault value
     * @return \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault|null
     */
    public function getDispatchOrderUnknownCodeFault()
    {
        return $this->dispatchOrderUnknownCodeFault;
    }
    /**
     * Set dispatchOrderUnknownCodeFault value
     * @param \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault $dispatchOrderUnknownCodeFault
     * @return \WpifyWoo\PacketeraSDK\StructType\CreatePacketResult
     */
    public function setDispatchOrderUnknownCodeFault(\WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault $dispatchOrderUnknownCodeFault = null)
    {
        $this->dispatchOrderUnknownCodeFault = $dispatchOrderUnknownCodeFault;
        return $this;
    }
}
